.post {
  margin-bottom: 10rem;

  .user {
    display: flex;
    align-items: center;
    margin-bottom: 3rem;
  }

  .name {
    font-size: 1.8rem;
    color: $color-primary;
    margin-left: 2rem;
    font-weight: bold;
    cursor: pointer;
  }

  .post-thumbnail {
    width: 7.8rem;
    height: 7.8rem;
    padding: 0.4rem;
    border-radius: 50%;
    border: 0.2rem solid transparent;
    cursor: pointer;

    &.with-story {
      border-color: $color-primary;
      cursor: pointer;
    }

    &.viewed {
      border-color: $color-grey-lines;
    }

    img {
      width: 100%;
      height: 100%;
      border-radius: 50%;
      object-fit: cover;
    }
  }

  .image,
  video {
    border-radius: 1.4rem;
    width: 100%;
  }

  .post-options {
    display: flex;
    margin-top: 2rem;

    .options {
      display: flex;
      align-items: center;
      flex-grow: 1;
    }

    .icon {
      font-size: 3rem;
      color: $color-grey-lines;
      margin-right: 2rem;
      cursor: pointer;

      &.active {
        color: $color-primary;
      }
    }

    .delete {
      background-color: transparent;
      border: none;
      font-size: 1.8rem;
      color: $color-grey;

      &:hover {
        color: $color-primary;
      }
    }

    .date-ago {
      color: $color-grey;
    }
  }

  .like-count {
    color: $color-primary;
    margin-top: 1rem;
    font-weight: bold;
  }

  .caption {
    margin-top: 1rem;
  }
}
